## org.apache.mahout.clustering
Class JsonModelDistributionAdapter

    java.lang.Object
      org.apache.mahout.clustering.JsonModelDistributionAdapter

All Implemented Interfaces:
  com.google.gson.JsonDeserializer<ModelDistribution<?>>, com.google.gson.JsonSerializer<ModelDistribution<?>>

    public class JsonModelDistributionAdapter

extends java.lang.Object
implements com.google.gson.JsonSerializer<ModelDistribution<?>>, com.google.gson.JsonDeserializer<ModelDistribution<?>>

Constructor Summary
`JsonModelDistributionAdapter()`

Method Summary
`ModelDistribution<?>` `deserialize(com.google.gson.JsonElement json, java.lang.reflect.Type typeOfT, com.google.gson.JsonDeserializationContext context)`
`com.google.gson.JsonElement` `serialize(ModelDistribution<?> src, java.lang.reflect.Type typeOfSrc, com.google.gson.JsonSerializationContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsonModelDistributionAdapter

    public JsonModelDistributionAdapter()

Method Detail

### serialize

    public com.google.gson.JsonElement serialize(ModelDistribution<?> src,
                                                 java.lang.reflect.Type typeOfSrc,
                                                 com.google.gson.JsonSerializationContext context)

  Specified by:
    `serialize` in interface `com.google.gson.JsonSerializer<ModelDistribution<?>>`

### deserialize

    public ModelDistribution<?> deserialize(com.google.gson.JsonElement json,
                                            java.lang.reflect.Type typeOfT,
                                            com.google.gson.JsonDeserializationContext context)

  Specified by:
    `deserialize` in interface `com.google.gson.JsonDeserializer<ModelDistribution<?>>`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.